Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 611833 - GtkClutterEmbed not accepting events. Needs version bump for fix.
GtkClutterEmbed not accepting events. Needs version bump for fix.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: clutter-gtk (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-06 11:35 EDT by Chris Kühl
Modified: 2010-10-05 05:29 EDT (History)
4 users (show)

See Also:
Fixed In Version: clutter-1.2.14-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-05 05:29:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Kühl 2010-07-06 11:35:01 EDT
Description of problem:

When using the GtkClutterEmbed widget, no events are being accepted.

I'm using the clutter-tutorial gtk_embed example in the GNOME git infrastructure to test this. See http://www.openismus.com/documents/clutter_tutorial/1.0/docs/tutorial/html/sec-stage-widget.html

Version-Release number of selected component (if applicable):

clutter-gtk-0.10.4 & clutter-1.2.8 and their devel packages.

How reproducible:
Pull the clutter-tutorial from GNOME git and compile. Run the gtk_embed example.

Actual results:
No callbacks are being fired. The widget also does not resize when the window size changes.

Expected results:
Expect the Clutter stage to toggle between black & blue when clicking the button and to report the coordinates of the mouse click when clicking on the clutter stage. The widget should resize with the window.

Additional info:

I've found that a combination of the clutter-1.2.10 and the clutter-gtk master (0.90) fix this. Thus, a version bump of these packages should suffice to fix this particular problem.

After I found that the tutorials worked under Ubuntu Lucid. I installed Ubuntu in VirtualBox using Fedora 13 as the host. When running the same example code I found that it would work if 3D acceleration was turned off but stopped working if enabled.

Graphics controller:
00:02.0 VGA compatible controller: Intel Corporation 82G33/G31 Express Integrated Graphics Controller (rev 10)

Also to be noted is that the examples in the tutorial not using GtkClutterEmbed work fine.
Comment 1 Peter Robinson 2010-07-06 12:18:54 EDT
Please try the clutter-tutorial from the 1.2.x branch and see if you have the same problems. clutter-gtk will remain at 0.10.x for F-13. I will review 1.2.10 shortly.
Comment 2 Murray Cumming 2010-07-06 16:47:15 EDT
> I've found that a combination of the clutter-1.2.10 and the clutter-gtk master
> (0.90) fix this.

Chris, is there no version of clutter-gtk 0.10.x that fixes the problem? You say that it works on Ubuntu Lucid, but that has clutter-gtk 0.10.4.

And are you sure that both clutter and clutter-gtk need to be upgraded to fix the problem?
Comment 3 Chris Kühl 2010-07-07 04:00:32 EDT
> Chris, is there no version of clutter-gtk 0.10.x that fixes the problem? You
> say that it works on Ubuntu Lucid, but that has clutter-gtk 0.10.4.

No. I've tested with (I think) every combination of clutter versions >= 1.2.8. Only when I change to the clutter-gtk master branch does it work (in combination with 1.2.10 and greater).

I think this has something to do with the hardware drivers. My Ubuntu 10.4 install is not on the same machine. After installing Ubuntu into VirtualBox on my Fedora box, it worked only when the 3D acceleration was turned off. This would tell me that something is amiss with the hardware driver (OpenGL) on the Fedora side. My intuition could be wrong, of course. I'm not familiar enough with X to evaluate that.

@ Peter: I'm not aware of a 1.2 branch of the tutorial. However, this is a very simple example and from what I can tell should work... as it does on other distros and with the newer versions. On Fedora 13. I, of course, understand not bumping to a 0.90 release.
Comment 4 Murray Cumming 2010-07-08 14:56:57 EDT
If the Clutter developers haven't noticed that such a major bug, maybe they'd like to hear about it. If they have noticed it, maybe they know what fixes it in Ubuntu.
Comment 5 Peter Robinson 2010-07-11 09:48:37 EDT
https://admin.fedoraproject.org/updates/clutter-1.2.10-1.fc13

I've submitted 1.2.10 to F-13 updates-testing. If there's a particular patch within clutter-gtk that doesn't break the abi I would be happy to review it as a possibility to add to rawhide/F-13.
Comment 6 Chris Kühl 2010-07-15 06:43:35 EDT
(In reply to comment #4)
> If the Clutter developers haven't noticed that such a major bug, maybe they'd
> like to hear about it. If they have noticed it, maybe they know what fixes it
> in Ubuntu.    

I've talked to ebassi on IRC and he's aware of the issue.
Comment 7 Peter Robinson 2010-09-22 16:21:16 EDT
(In reply to comment #6)
> (In reply to comment #4)
> > If the Clutter developers haven't noticed that such a major bug, maybe they'd
> > like to hear about it. If they have noticed it, maybe they know what fixes it
> > in Ubuntu.    
> 
> I've talked to ebassi on IRC and he's aware of the issue.

So should this bug remain open. or what is the fix for it?
Comment 8 Fedora Update System 2010-09-24 18:35:46 EDT
clutter-1.2.14-1.fc13,clutter-gtk-0.10.6-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/clutter-1.2.14-1.fc13,clutter-gtk-0.10.6-1.fc13
Comment 9 Peter Robinson 2010-09-24 18:36:46 EDT
I've updated to clutter 1.2.14 and clutter-gtk 0.10.6. Can't go to clutter-gtk-0.10.8 as it requires a much newer gobject-introspection.
Comment 10 Fedora Update System 2010-09-26 00:32:42 EDT
clutter-1.2.14-1.fc13, clutter-gtk-0.10.6-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update clutter clutter-gtk'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/clutter-1.2.14-1.fc13,clutter-gtk-0.10.6-1.fc13
Comment 11 Chris Kühl 2010-09-27 04:54:34 EDT
(In reply to comment #7)
> (In reply to comment #6)
> > (In reply to comment #4)
> > > If the Clutter developers haven't noticed that such a major bug, maybe they'd
> > > like to hear about it. If they have noticed it, maybe they know what fixes it
> > > in Ubuntu.    
> > 
> > I've talked to ebassi on IRC and he's aware of the issue.
> 
> So should this bug remain open. or what is the fix for it?

Sorry, I'm not currently running Fedora so I don't have a means of testing.
Comment 12 Fedora Update System 2010-10-05 05:29:44 EDT
clutter-1.2.14-1.fc13, clutter-gtk-0.10.6-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.